AOWP_Aspect (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.AOWP_Aspect
/aspect/Aspect.class.php at line 7

# Class AOWP_Aspect

    AOWP_Aspect

public abstract class AOWP_Aspect

Aspect.class

Field Summary
private mixed | $_adviceArray Advice.
private static mixed | $_instance
private mixed | $_priority

Method Summary
void | addAdvice(AOWP_Advice advice) Add Advice to $_adviceArray
void | executeAdvice(mixed index, mixed joinPoint)
void | getAdviceAt(mixed idx)
void | getAllAdviceArray()
void | getNumOfAdvice()
void | getPriority()
void | runtimeMatch(mixed index, mixed joinPoint)
protected void | setPriority(mixed priority)

## Field Detail

/aspect/Aspect.class.php at line 16

### _adviceArray

`private mixed $_adviceArray = array()`

Advice.

/aspect/Aspect.class.php at line 9

### _instance

`private static mixed $_instance = null`

/aspect/Aspect.class.php at line 11

### _priority

`private mixed $_priority`

## Method Detail

/aspect/Aspect.class.php at line 30

### addAdvice

`public void addAdvice(AOWP_Advice advice)`

Add Advice to $_adviceArray

/aspect/Aspect.class.php at line 45

### executeAdvice

`public void executeAdvice(mixed index, mixed joinPoint)`

/aspect/Aspect.class.php at line 22

### getAdviceAt

`public void getAdviceAt(mixed idx)`

/aspect/Aspect.class.php at line 37

### getAllAdviceArray

`public void getAllAdviceArray()`

/aspect/Aspect.class.php at line 18

### getNumOfAdvice

`public void getNumOfAdvice()`

/aspect/Aspect.class.php at line 51

### getPriority

`public void getPriority()`

/aspect/Aspect.class.php at line 41

### runtimeMatch

`public void runtimeMatch(mixed index, mixed joinPoint)`

/aspect/Aspect.class.php at line 54

### setPriority

`protected void setPriority(mixed priority)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr